<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<nav class="navbar navbar-expand bg-secondary border-bottom" data-bs-theme="dark">
	<div class="container-fluid">
		<span class="navbar-brand fw-light text-uppercase">{{ applicationName }}</span>
		<span *ngIf="configurationSummary" class="navbar-text ms-auto fs-5 fw-light">
			{{ configurationSummary.electionEventSeed }} {{ getTranslatedDescription(configurationSummary) }}
		</span>
		<ul class="navbar-nav ms-auto gap-3" role="menubar">
			<li
					class="nav-item d-flex align-items-center"
					*ngIf="remoteServerAvailable"
					[popoverTitle]="'header.votingServerConnection.title' | translate"
					[ngbPopover]="popoverContent"
					popoverClass="connection-popover"
					triggers="mouseenter:mouseleave"
			>
				<div
						*ngIf="votingServerConnected === null"
						class="spinner-grow text-light"
						style="--bs-spinner-width: 1.6rem; --bs-spinner-height: 1.6rem"
				></div>
				<div
						*ngIf="votingServerConnected !== null"
						[class.bg-success]="votingServerConnected"
						[class.bg-danger]="!votingServerConnected"
						class="connection-indicator"
				>
					<i class="bi bi-wifi"></i>
				</div>
				<ng-template #popoverContent>
					<ng-container *ngIf="votingServerConnected === null">
						{{ 'header.votingServerConnection.connecting' | translate }}
					</ng-container>

					<ng-container *ngIf="votingServerConnected !== null">
						{{ 'header.votingServerConnection.' + (votingServerConnected ? 'connectedTo' : 'noConnectionTo') | translate }}
						<span class="text-nowrap">{{ votingServerName }}</span>
					</ng-container>
				</ng-template>
			</li>
			<li class="nav-item" display="dynamic" ngbDropdown role="none">
				<a aria-haspopup="true" class="nav-link" data-test="currentLanguage" ngbDropdownToggle role="menuItem" tabindex="0">
					<span aria-hidden="true">{{ currentLocale.id | uppercase }}</span>
					<span class="visually-hidden">{{ 'header.languageSelector.button' | translate: currentLocale }}</span>
				</a>
				<div [attr.aria-label]="'header.languageSelector.menu' | translate" class="dropdown-menu" ngbDropdownMenu role="menu">
					<ng-container *ngFor="let locale of appLocales">
						<a
								(click)="$event.preventDefault(); setLocale(locale)"
								*ngIf="locale.id !== currentLocale.id"
								[lang]="locale.id"
								[title]="locale.name"
								class="text-center"
								data-test="language"
								href="#"
								ngbDropdownItem
								role="menuitem"
						>
							<span aria-hidden="true">{{ locale.id | uppercase }}</span>
							<span class="visually-hidden">{{ locale.name }}</span>
						</a>
					</ng-container>
				</div>
			</li>
		</ul>
		<span class="navbar-text text-end ms-3" style="font-size: 0.7em">
			<span>{{ description }}</span>
			<br/>
			<span>V{{ version }}</span>
    	</span>
	</div>
</nav>
